IBSFCatalog (Carbide.c++ SDK API Reference)
Keywords: com.nokia.carbide.cpp.sdk.core.IBSFCatalog interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.carbide.cpp.sdk.core
Interface IBSFCatalog

    public interface IBSFCatalog

This is a catalog of all the BSF files detected for a given SDK.

Method Summary
`IBSFPlatform` | `findPlatform(java.lang.String platform)` Find a platform with the given name.
`IBSFPlatform[]` | `getAdditionalBuiltPlatforms(java.lang.String platform)` Get the platforms to compile with this one, not including this one.
`IMessage[]` | `getMessages()` Get any problems detected while parsing the BSF files.
`IBSFPlatform[]` | `getPlatforms()` Get the array of BSF platforms detected.
`java.lang.String` | `getReleasePlatform(java.lang.String platformName)` Get the release platform name for the given platform.
`IBSFPlatform[]` | `getVariantPlatforms()` Get the variant platforms (but not virtual variants) among the platforms detected.
`IBSFPlatform[]` | `getVirtualVariantPlatforms()` Get the virtual variant platforms from the platforms detected.

Method Detail

### getMessages

    IMessage[] getMessages()

  Get any problems detected while parsing the BSF files.

  Returns:
    array of messages, never null

### getPlatforms

    IBSFPlatform[] getPlatforms()

  Get the array of BSF platforms detected. Each corresponds to a *.bsf file. This does not include the built-in platforms.

  Returns:
    array, never null

### getVariantPlatforms

    IBSFPlatform[] getVariantPlatforms()

  Get the variant platforms (but not virtual variants) among the platforms detected. These are the ones that will be available when, e.g., "PRJ_PLATFORMS VARIANT" is used.

  Returns:
    array, never null

### findPlatform

    IBSFPlatform findPlatform(java.lang.String platform)

  Find a platform with the given name.

  Parameters:
    `name` - platform name, case doesn't matter
  Returns:
    platform or null

### getAdditionalBuiltPlatforms

    IBSFPlatform[] getAdditionalBuiltPlatforms(java.lang.String platform)

  Get the platforms to compile with this one, not including this one.

  Returns:
    array of IBSFPlatform included when this platform is built; never null

### getReleasePlatform

    java.lang.String getReleasePlatform(java.lang.String platformName)

  Get the release platform name for the given platform. This is the directory name used for builds, e.g. \epoc32\release\<..>.

  A variant target always builds into the same directory as a built-in platform. Only the filename varies. For example, CONFIG is a virtual variant of ARMV5 and VARIANT is a variant of CONFIG. All three have ARMV5 as their release platform.

  Parameters:
    `platformName` -
  Returns:
    name of release platform

### getVirtualVariantPlatforms

    IBSFPlatform[] getVirtualVariantPlatforms()

  Get the virtual variant platforms from the platforms detected. This returns only platforms explicitly quoting VIRTUALVARIANT, not platforms customizing that variant. This does not include entries returned by '`getVariantPlatforms()`'

  Returns:
    array, never null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD